html {
    scroll-behavior: smooth;
}

body {
    width: 100%;
    margin: 0;
}

footer p {
    color: white;
    text-align: center;
}

header {
    display: flex;
    flex-direction: row;
}

main {
    width: 100%;
}

#cabecalho {
    position: fixed;
    margin-top: -10px;
    margin-right: -15px;
    height: 80px;
    background-color: aliceblue;
    width: 100%;
    box-shadow: rgb(110, 108, 108) 0px 3px 4px 1px;
}

a {
    text-decoration: none;
    text-align: center;
    color: inherit;
}

p {
    text-align: center;
}


.menu-lista {
    padding: 10px;
}

.menu-lista:hover {
    background-color: #87CEFA;
}

.menu-lista a:hover {
    color: white;
    text-decoration: underline;
}

#dropdown-menu {
    position: fixed;
    display: inline-block;
    margin-top: 1vh;
}

#menu-nav {
    list-style-type: none;
    margin-top: -2.5vh;
    display: none;
    position: absolute;
    /* background-color: black; */
    min-width: 6vh;
    padding-top: 100px;
    padding: 20px 10px; 
    z-index: 1;
    margin-left: 2vh;
    background-color: aliceblue;
}

#dropdown-menu:hover #menu-nav {
    display: block;
}

.menu-lista a {
    display: block;
    color: #0a2342;
    text-decoration: none;
    font-family: Champagne;
    font-weight: bold;
    font-size: 20px;

}

#menu-image{
    min-width: 6vh;
    min-height: 6vh;
    margin-left: 3vh;
    margin-top: 1vh;
}

#menu-image:hover {
    animation: contatus 0.5s infinite alternate;
}

#contatos {
    position: fixed;
    right: 4vh;
    margin-top: 0vh;
    
}

#contact {
    display: flex;
    list-style-type: none;
    flex-direction: row;
}

.contacts {
    min-height: 50px;
    max-height: 50px;
    padding: 0 5px;
}
.contacts:hover {
    animation-name: contatus;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.vertical-line {
  border-left: 1px solid grey; /* Thickness and color */
  height: 50px;               /* Height of the line */
  margin: 0 10px;               /* Space around the line */
}

#presentation {
    display: flex;
    flex-direction: column;
    padding: 10px;
    margin-top: 7vh;
    background-image: url(../../images/backgroun_presentation1.png);
    box-shadow: rgb(110, 108, 108) 0px 1px 2px 1px;
}


#introduction {
    font-family: Didot;
    color: white;
    text-align: center;
    margin-top: 4vh;
    font-size: 50px;
    font-weight: 1000;
    
}

#notebook {
    max-width: 55vh;
    max-height: 30vh;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3vh;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
    
}

.titulos {
    color: #0a2342;
    text-align: center;
    font-family: CreatoDisplay, 'Courier New', Courier, monospace;
    margin-bottom: 4vh;
}

#intro-container {
    background-color: white;
    margin: auto;
    border: 2px;
    border-radius: 5px;
    width: 80%;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 5px 5px, rgba(0, 0, 0, 0.23) 0px 3px 3px;
    margin-bottom: 1vh;
}

#texto-inicial {
    font-family: CreatoDisplay;
    text-align: center;
    font-size: 30px;
    margin-bottom: 2vh;
}

#texto-descricao {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 25px;
    font-weight: 100;
}

.main-section {
    width: 80%;
    margin: auto;
    /* background-color: rgb(187, 186, 186); */
    border-radius: 3px;
    /* box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 10px; */
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
    padding-top: 20px;
    margin-top: 3vh;
}

.section-container{
    display: grid;
    grid-template-columns:  auto auto auto;
    margin: auto;
    padding-bottom: 30px;
    width: 90%;
    border: 2px;
    border-radius: 5px;
    justify-content: space-between;
    row-gap: 5vh;
}

.services-grid {
    height: 23vh;
    width: 34vh;
    background-color: #0a3974;
    border: 2px;
    border-radius: 5px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.services-grid:hover {
    animation-name: item-animation;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.service-image {
    margin-top: 10px;
    width: 25vh;
    height: 15vh;
    border: 2px;
    border-radius: 3px;
}

.service-description {
    margin-top: 10px;
    color: #c3d0e1;
    font-weight: 500;
    font-size: 30px;
}

.tools-icons {
    margin-top: 30px;
}

#tools {

}

.icon-images {
    display: flex;
    justify-content: center;
    margin-bottom: 4vh;
}

.icons {
    border-radius: 8px;
    transition: 0.5s ease;
}

.icons:hover {
    animation-name: icon-animation;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

p {
    font-family: Champagne;
    font-size: 35px;
}

#direitos {
    font-family: Champagne,'Courier New', Courier, monospace;
    font-size: 30px;
    color: #0a2342;
}